package com.mortals.xhx.module.platform.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.platform.model.PlatformEntity;
import com.mortals.xhx.module.platform.model.PlatformQuery;
import com.mortals.xhx.module.platform.service.PlatformService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 平台系统
*
* @author zxfei
* @date 2022-04-25
*/
@RestController
@RequestMapping("platform")
public class PlatformController extends BaseCRUDJsonMappingController<PlatformService,PlatformForm,PlatformEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PlatformController(){
        super.setFormClass(PlatformForm.class);
        super.setModuleDesc( "平台系统");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, PlatformForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "sendMsgType", paramService.getParamBySecondOrganize("Platform","sendMsgType"));
        this.addDict(model, "sendSwitch", paramService.getParamBySecondOrganize("Platform","sendSwitch"));
        super.init(request, response, form, model, context);
    }

}