# 设备管理服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]

## 接口服务
### 设备激活

**请求URL:** api/active

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 设备激活

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
deviceNum|String|设备编码|是|-
deviceMac|String|设备MAC|是|-
type|Integer|设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）|是|-

**请求样例:**
```

{

}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;token|String|激活后返回token|-


**响应消息样例:**
```

{
    "msg":"登录成功",
    "code":1,
    "data":{
         "token":"xxxxxxxxxx"
    }
}

```

### 设备上报

**请求URL:** api/upload

**请求方式:** POST

**请求头校验:** Authorization: Bearer  {{authToken}}

**内容类型:** application/json;charset=utf-8

**简要描述:** 设备上报日志

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
deviceNum|String|设备编码|是|-

**请求样例:**
```

{
    "userName":"zhang3",
    "password":"123456",
    "securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-


**响应消息样例:**
```

{
    "msg":"登录成功",
    "code":1,
    "data":{

    }
}

```



## 消息


### 上行消息

**topic:** /upload/{deviceMac}

**请求方式:** rabbmitMQ


**内容类型:** application/json;charset=utf-8

**简要描述:** 上行消息存放队列

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
headers|Object|消息头|是|-
&emsp;data|Object|消息头数据对象|是|-
&emsp;&emsp;protocol|String|数据域协议类型，默认json|是|-
&emsp;&emsp;messageType|String|上报消息类型|是|-
&emsp;&emsp;sign|String|签名|是|-
&emsp;&emsp;timestamp|String|时间戳|是|-
data|byte[]|byte数组，base64编码|是|-
key|String|消息唯一标识|是|-

**请求样例:**
```
{
    "data":"YWJjZDEyMzQ=",
    "headers":{
        "data":{
            "protocol":"json",
            "messageType":"UPGREAD",
            "sign":"abcd1234",
            "timestamp":"2022-04-15 09:48:05"
        }
    },
    "key":"d3635cd0-597d-46c8-8b85-797c3846b04f"
}
```



### 下行消息

**topic:** /down/{deviceMac}

**请求方式:** rabbmitMQ


**内容类型:** application/json;charset=utf-8

**简要描述:** 下行消息存放队列

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
headers|Object|消息头|是|-
&emsp;data|Object|消息头数据对象|是|-
&emsp;&emsp;protocol|String|数据域协议类型，默认json|是|-
&emsp;&emsp;messageType|String|上报消息类型|是|-
&emsp;&emsp;sign|String|签名|是|-
&emsp;&emsp;timestamp|String|时间戳|是|-
data|byte[]|byte数组，base64编码|是|-
key|String|消息唯一标识|是|-

**请求样例:**
```
{
    "data":"YWJjZDEyMzQ=",
    "headers":{
        "data":{
            "protocol":"json",
            "messageType":"UPGREAD",
            "sign":"abcd1234",
            "timestamp":"2022-04-15 09:48:05"
        }
    },
    "key":"d3635cd0-597d-46c8-8b85-797c3846b04f"
}
```


